Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class CWClassLoader.PrivilegedLoader

    java.lang.Object
      org.crosswire.common.util.CWClassLoader.PrivilegedLoader

All Implemented Interfaces:
  PrivilegedAction

Enclosing class:
  CWClassLoader

    private static class CWClassLoader.PrivilegedLoader

extends Object
implements PrivilegedAction

PrivilegedLoader creates a CWClassLoader if it is able to obtain java security permissions to do so.

Field Summary
`private Class` | `owningClass`

Constructor Summary
`CWClassLoader.PrivilegedLoader()` Creates a privileged class loader that finds resources for the calling class that may not be in the class' package.
`CWClassLoader.PrivilegedLoader(Class resourceOwner)` Creates a privileged class loader that finds resources for the supplied class that may not be in the class' package.

Method Summary
`Object` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owningClass

    private Class owningClass

Constructor Detail

### CWClassLoader.PrivilegedLoader

    public CWClassLoader.PrivilegedLoader(Class resourceOwner)

  Creates a privileged class loader that finds resources for the supplied class that may not be in the class' package. You can use this within base classes by passing getClass() to load resources for a derived class.

  Parameters:
    `resourceOwner` - is the owner of the resource

### CWClassLoader.PrivilegedLoader

    public CWClassLoader.PrivilegedLoader()

  Creates a privileged class loader that finds resources for the calling class that may not be in the class' package. Use this only within classes that are directly looking up their resources.

Method Detail

### run

    public Object run()

  Specified by:
    `run` in interface `PrivilegedAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD